Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-11-2011 00:10:51

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Salut à tous,

Lorsque je cherche à faire un apt-get dist-upgrade, j'obtiens la réponse suivante :

(Lecture de la base de données... 81138 fichiers et répertoires déjà installés.)
Préparation du remplacement de sox 14.3.1-1 (en utilisant .../archives/sox_14.3.1-1_i386.deb) ...
Dépaquetage de la mise à jour de sox ...
Error: contents of '/etc/mailcap.new' do not match what was written -- abort
dpkg : avertissement : le sous-processus ancien script post-removal a retourné une erreur de sortie d'état 255
dpkg - tentative d'exécution du script du nouveau paquet à la place ...
Error: contents of '/etc/mailcap.new' do not match what was written -- abort
dpkg : erreur de traitement de /var/cache/apt/archives/sox_14.3.1-1_i386.deb (--unpack) :
 le sous-processus nouveau script post-removal a retourné une erreur de sortie d'état 255
configured to not write apport reports
                                      Error: contents of '/etc/mailcap.new' do not match what was written -- abort
dpkg : erreur lors du nettoyage :
 le sous-processus nouveau script post-removal a retourné une erreur de sortie d'état 255
Traitement des actions différées (« triggers ») pour « man-db »...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/sox_14.3.1-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Ce qui ne me permet plus de me servir de apt-get car peut importe l'utilisation que j'essaie d'en faire je me retrouve avec le message ci dessus.

J'ai déjà essayé plusieurs manip's en pensant que c'était le paquet sox qui posait problème :
apt-get remove sox --purge
apt-get install sox
et un reboot

Puis suppression du fichier mailcap.new (après l'avoir soigneusement copié)
apt-get remove sox --purge
apt-get install sox

Je suis débutant sous Debian. Je suis preneur de tous vos bons conseils.

Dernière modification par damouns (28-11-2011 23:40:10)

Hors ligne

#2 27-11-2011 00:46:36

tetrix
Invité

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Essaie avec

# aptitude search sox


et donne nous le résultat

#3 27-11-2011 00:51:05

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Salut damouns et bienvenue sur df !

Tu peux nous indiquer le choix que tu as fait dans ta manière d'installer debian ainsi que la branche que tu as choisis ?
Voir les branches debian là :
http://debian-facile.org/doc:systeme:ap … hes-debian

Et les méthodes d'installation là :
http://debian-facile.org/manuel:installation:debian2

Avec ou sans passer par le net pendant l'installation ?

Amitié, Joel smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#4 27-11-2011 10:57:46

Invité-5
Banni(e)

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

# aptitude search sox
p   libsox-dev                                                                             - Development files for the SoX library                                                          
p   libsox-fmt-all                                                                         - All SoX format libraries                                                                        
p   libsox-fmt-alsa                                                                        - bibliothèque d'entrée/sortie du format ALSA pour SoX                                            
p   libsox-fmt-ao                                                                          - SoX Libao format I/O library                                                                    
p   libsox-fmt-base                                                                        - ensemble minimal de bibliothèques de format pour SoX                                            
p   libsox-fmt-ffmpeg                                                                      - SoX ffmpeg format library                                                                      
p   libsox-fmt-mp3                                                                         - SoX MP3 format library                                                                          
p   libsox-fmt-oss                                                                         - SoX OSS format I/O library                                                                      
p   libsox-fmt-pulse                                                                       - SoX PulseAudio format I/O library                                                              
p   libsox1b                                                                               - bibliothèque Sox pour les effets et le traitement audio                                        
p   sox                                                                                    - outils complets pour le traitement des sons


Essaye d'éviter PulseAudio, autant que possible.

damouns a écrit :

Je suis débutant sous Debian. Je suis preneur de tous vos bons conseils.


http://formation-debian.via.ecp.fr/

Quand tu répondrais aux questions de notre boss smolski, nous saurons bcp plus. Si tu veux, tu pourrais te "convertir" => aptitude - ligne de commande

#5 27-11-2011 11:07:59

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

apt-get update

peu avant tout opération sur les paquets (j'ai un doute)

« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#6 27-11-2011 14:38:01

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Bonjour,

@terix, voici le résultat de aptitude search sox :

p   libsox-dev                      - Development files for the SoX library    
p   libsox-fmt-all                  - All SoX format libraries                  
u   libsox-fmt-alsa                 - SoX alsa format I/O library              
p   libsox-fmt-ao                   - SoX Libao format I/O library              
u   libsox-fmt-base                 - Minimal set of SoX format libraries      
p   libsox-fmt-ffmpeg               - SoX ffmpeg format library                
p   libsox-fmt-mp3                  - SoX MP3 format library                    
p   libsox-fmt-oss                  - SoX OSS format I/O library                
p   libsox-fmt-pulse                - SoX PulseAudio format I/O library        
u   libsox1b                        - SoX library of audio effects and processin
H   sox                             - Swiss army knife of sound processing


@smolski, j'ai installé debian squeeze (stable) avec une méthode pas a pas depuis un LiveCD et non je ne me suis pas connecté au net pendant l'install. Amitiés, Damien.

@Darien, comme tu pourra le constater je n'ai pas le même résultat que toi après la commande aptitude search sox. Merci pour le lien de la formation j'avais lu quelques parties et il m'avais semblé très intéressant pour un débutant. Je n'ai pas utilisé aptitude car j'avais commencé à utiliser apt-get et d'après mes lectures il semblait qu'il fallait toujours utiliser le même utilitaire de gestion des paquets. Pense tu que ce n'est pas très grave d'en changer et qu'aptitude serait un meilleur choix ?

@Haricophile, je connaissais cette commande et je l'applique régulièrement pour mettre à jour ma liste des paquets dispos sur les dépots.

Merci pour vos réponse rapides.

Hors ligne

#7 27-11-2011 14:47:01

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Pourquoi il est en Hold ?

Opps, au temps pour moi, c'est Half Installed

Dernière modification par Haricophile (27-11-2011 14:53:20)


« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#8 27-11-2011 14:56:01

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Dans les bonnes questions :

df -h /


ça renvoie de l'espace libre ?


« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#9 27-11-2011 16:12:29

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Oups, bien vu Haricophile :

# df -h /
Sys. de fichiers    Taille  Uti. Disp. Uti% Monté sur
/dev/mapper/debian6--Damouns-root
                      322M  322M     0 100% /


Quelle solution préconise tu ?

Edit : j'obtiens le même résultat en appliquant cette commande sur /etc /lib et /media. Est-ce normal ?

Dernière modification par damouns (27-11-2011 16:20:11)

Hors ligne

#10 27-11-2011 16:20:17

tetrix
Invité

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Re,

après relecture de ton 1° message, tu devrais essayer

# apt-get remove --purge sox


Plutôt qu'apt-get remove sox --purge (je ne sais pas si cette syntaxe est bonne)

damouns a écrit :

Je n'ai pas utilisé aptitude car j'avais commencé à utiliser apt-get et d'après mes lectures il semblait qu'il fallait toujours utiliser le même utilitaire de gestion des paquets. Pense tu que ce n'est pas très grave d'en changer et qu'aptitude serait un meilleur choix ?


Perso, j'utilise les deux, avec une préférence pour aptitude qui est plus verbeux.

gestion des paquets debian

Dernière modification par terix (27-11-2011 16:21:40)

#11 27-11-2011 16:36:52

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Alors je crois que l'analyse d'haricophile était la bonne, l'espace dispo sur la racine n'est plus suffisant pour permettre l'installation de sox entièrement voisi le résultat de apt-get remove --purge sox :

dpkg : erreur de traitement de sox (--remove) :
 Le paquet est dans un état incohérent - vous devriez
 le réinstaller avant d'essayer de le supprimer.
configured to not write apport reports
                                      Des erreurs ont été rencontrées pendant l'exécution :
 sox
E: Sub-process /usr/bin/dpkg returned an error code (1)


Je crois qu'il faudrai libérer de l'espace ou redimensionner cette partition si c'est possible ???

Hors ligne

#12 27-11-2011 20:19:17

Invité-5
Banni(e)

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Comme tu vois chez moi il s'installe tous seul.

# aptitude install sox
Les NOUVEAUX paquets suivants vont être installés :
  libsox-fmt-alsa{a} libsox-fmt-base{a} libsox1b{a} sox
0 paquets mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 549 ko d'archives. Après dépaquetage, 1 241 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
Prendre : 1 http://debian.mines.inpl-nancy.fr/debian/ squeeze/main libsox1b amd64 14.3.1-1+b1 [309 kB]
Prendre : 2 http://debian.mines.inpl-nancy.fr/debian/ squeeze/main libsox-fmt-alsa amd64 14.3.1-1+b1 [46,6 kB]
Prendre : 3 http://debian.mines.inpl-nancy.fr/debian/ squeeze/main libsox-fmt-base amd64 14.3.1-1+b1 [58,8 kB]
Prendre : 4 http://debian.mines.inpl-nancy.fr/debian/ squeeze/main sox amd64 14.3.1-1+b1 [135 kB]
 549 ko téléchargés en 0s (2 793 ko/s)
Lecture des champs des paquets... Fait
Lecture de l'état des paquets... Fait
Récupération des rapports de bogue... Fait  
Analyse des informations Trouvé/Corrigé... Fait  
Sélection du paquet libsox1b précédemment désélectionné.
(Lecture de la base de données... 104895 fichiers et répertoires déjà installés.)
Dépaquetage de libsox1b (à partir de .../libsox1b_14.3.1-1+b1_amd64.deb) ...
Sélection du paquet libsox-fmt-alsa précédemment désélectionné.
Dépaquetage de libsox-fmt-alsa (à partir de .../libsox-fmt-alsa_14.3.1-1+b1_amd64.deb) ...
Sélection du paquet libsox-fmt-base précédemment désélectionné.
Dépaquetage de libsox-fmt-base (à partir de .../libsox-fmt-base_14.3.1-1+b1_amd64.deb) ...
Sélection du paquet sox précédemment désélectionné.
Dépaquetage de sox (à partir de .../sox_14.3.1-1+b1_amd64.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de libsox1b (14.3.1-1+b1) ...
Paramétrage de libsox-fmt-alsa (14.3.1-1+b1) ...
Paramétrage de libsox-fmt-base (14.3.1-1+b1) ...
Paramétrage de sox (14.3.1-1+b1) ...


Malgré le fait que la commande citée plus haut donne :

# df -h /
Sys. de fichiers    Taille  Uti. Disp. Uti% Monté sur
/dev/sda1             323M  307M     0 100% /


Or, il me semble qu'un logiciel ne s'installe pas sur la racine (je me trompe lol)

damouns a écrit :

j'ai installé debian squeeze (stable) avec une méthode pas a pas depuis un LiveCD et non je ne me suis pas connecté au net pendant l'install.


Tu as bien installé Squeeze sur ton disque dur ou t'utilises Debian depuis un LiveCD sans l'installation finale ? Après install ça donne chez moi :

# aptitude search sox
p   libsox-dev                                                                             - Development files for the SoX library                                                          
p   libsox-fmt-all                                                                         - All SoX format libraries                                                                        
i A libsox-fmt-alsa                                                                        - bibliothèque d'entrée/sortie du format ALSA pour SoX                                            
p   libsox-fmt-ao                                                                          - SoX Libao format I/O library                                                                    
i A libsox-fmt-base                                                                        - ensemble minimal de bibliothèques de format pour SoX                                            
p   libsox-fmt-ffmpeg                                                                      - SoX ffmpeg format library                                                                      
p   libsox-fmt-mp3                                                                         - SoX MP3 format library                                                                          
p   libsox-fmt-oss                                                                         - SoX OSS format I/O library                                                                      
p   libsox-fmt-pulse                                                                       - SoX PulseAudio format I/O library                                                              
i A libsox1b                                                                               - bibliothèque Sox pour les effets et le traitement audio                                        
i   sox


La suite arrive (plus bas, je vais fumer une)

#13 27-11-2011 20:31:50

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Merci Darien pour cet éclairage, donc le problème ne vient pas des 100% d'utilisation de la racine, /etc, /media et /lib ?

J'ai bien installé debian sur mon disque dur.

Sinon, à tout hasard j'ai essayé de réinstaller sox avec aptitude :

# aptitude install sox
Les paquets partiellement installés suivants seront configurés :
  dreamchess libgomp1 libmxml1 libsox-fmt-alsa libsox-fmt-base libsox1b
  xaw3dg
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 9 non mis à jour.
Il est nécessaire de télécharger 0 o/132 ko d'archives. Après dépaquetage, 0 o seront utilisés.
Sélection du paquet sox précédemment désélectionné.
(Lecture de la base de données... 81138 fichiers et répertoires déjà installés.)
Préparation du remplacement de sox 14.3.1-1 (en utilisant .../archives/sox_14.3.1-1_i386.deb) ...
Dépaquetage de la mise à jour de sox ...
Error: contents of '/etc/mailcap.new' do not match what was written -- abort
dpkg : avertissement : le sous-processus ancien script post-removal a retourné une erreur de sortie d'état 255
dpkg - tentative d'exécution du script du nouveau paquet à la place ...
Error: contents of '/etc/mailcap.new' do not match what was written -- abort
dpkg : erreur de traitement de /var/cache/apt/archives/sox_14.3.1-1_i386.deb (--unpack) :
 le sous-processus nouveau script post-removal a retourné une erreur de sortie d'état 255
configured to not write apport reports
                                      Error: contents of '/etc/mailcap.new' do not match what was written -- abort
dpkg : erreur lors du nettoyage :
 le sous-processus nouveau script post-removal a retourné une erreur de sortie d'état 255
Traitement des actions différées (« triggers ») pour « man-db »...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/sox_14.3.1-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
Paramétrage de xaw3dg (1.5+E-18) ...
ldconfig: Échec d'écriture des données du cache: Aucun espace disponible sur le périphérique
dpkg : erreur de traitement de xaw3dg (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Paramétrage de libmxml1 (2.6-1) ...
ldconfig: Échec d'écriture des données du cache: Aucun espace disponible sur le périphérique
dpkg : erreur de traitement de libmxml1 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Paramétrage de libgomp1 (4.4.5-8) ...
ldconfig: Échec d'écriture des données du cache: Aucun espace disponible sur le périphérique
dpkg : erreur de traitement de libgomp1 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de libsox-fmt-alsa :
 libsox-fmt-alsa dépend de libgomp1 (>= 4.2.1) ; cependant :
 Le paquet libgomp1 n'est pas encore configuré.
dpkg : erreur de traitement de libsox-fmt-alsa (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de dreamchess :
 dreamchess dépend de libmxml1 ; cependant :
 Le paquet libmxml1 n'est pas encore configuré.
dpkg : erreur de traitement de dreamchess (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de libsox1b :
 libsox1b dépend de libgomp1 (>= 4.4) ; cependant :
 Le paquet libgomp1 n'est pas encore configuré.
dpkg : erreur de traitement de libsox1b (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de libsox-fmt-base :
 libsox-fmt-base dépend de libgomp1 (>= 4.2.1) ; cependant :
 Le paquet libgomp1 n'est pas encore configuré.
 libsox-fmt-base dépend de libsox1b (>= 14.3.1) ; cependant :
 Le paquet libsox1b n'est pas encore configuré.
dpkg : erreur de traitement de libsox-fmt-base (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 xaw3dg
 libmxml1
 libgomp1
 libsox-fmt-alsa
 dreamchess
 libsox1b
 libsox-fmt-base


C'est un peu long et je ne m'y retrouve pas ! Mais à mon humble avis ca sent pas bon !! Il semble qu'il y ai un problème avec l'install de dreamchess aussi. Et bizarement au début il m'annonce qu'aucun paquet ne sera installé mis à jour ou enlevé. (En attendant la suite je vais aussi en fumer une)

PS : Sympa ton lien vers ixquick. On s'en rend compte très facilement quand on fait deux fois la même recherche google sur deux PC différents et qu'on obtient des résultats complètement différents.

Dernière modification par damouns (27-11-2011 20:37:08)

Hors ligne

#14 27-11-2011 21:05:07

Invité-5
Banni(e)

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Passons au chose mi-sérieuse. Un jour on va réactualiser ce tutoriel mais en attendant il faut faire avec. Chez moi, ça donne :

# cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'vol_id --uuid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0
# / was on /dev/sda1 during installation
UUID=f030c07d-c979-4f5a-b87b-4d66a98be105 /               ext3    errors=remount-ro 0       1
# /home was on /dev/sda9 during installation
UUID=5edc5f60-a551-41e2-b8c4-4da6aeaec903 /home           ext3    defaults        0       2
# /tmp was on /dev/sda8 during installation
UUID=a29fa791-e04c-471d-a59a-aad3a0b4dde7 /tmp            ext3    defaults        0       2
# /usr was on /dev/sda5 during installation
UUID=e0066a4e-027e-4726-9fc4-8d819a96eafc /usr            ext3    defaults        0       2
# /var was on /dev/sda6 during installation
UUID=3339565f-57ab-4f33-b345-4e21239111e1 /var            ext3    defaults        0       2
# swap was on /dev/sda7 during installation
UUID=e8289efe-3c68-4dbf-a77e-81c229272515 none            swap    sw              0       0
/dev/scd0       /media/cdrom0   udf,iso9660 user,noauto     0       0
/dev/scd1       /media/cdrom1   udf,iso9660 user,noauto     0       0


Ou plus simple :

# fdisk -l

Disk /dev/sda: 320.1 GB, 320072933376 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00064be0

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          43      340992   83  Linux
Partition 1 does not end on cylinder boundary.
/dev/sda2              43       38914   312227841    5  Extended
/dev/sda5              43        1137     8787968   83  Linux
/dev/sda6            1137        1502     2928640   83  Linux
/dev/sda7            1502        2473     7801856   82  Linux swap / Solaris
/dev/sda8            2474        2522      389120   83  Linux
/dev/sda9            2522       38914   292316160   83  Linux


Ce qui nous intéresse, c'est de la place. Exemple :

# df -h /home
Sys. de fichiers    Taille  Uti. Disp. Uti% Monté sur
/dev/sda9             275G  8,6G  252G   4% /home


Il n'y a pas de danger chez moi puisque c'est tout nouveau comme configuration (comme chez toi)

Ensuite, il y a un match ce soir (ennemis éternelles) je vais dîner avant donc. Nous discuterons plus tard ou demain (en espérant que un spécialiste viendrait nous aider)

#15 27-11-2011 21:32:15

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Re,

Voici le contenu de mon fichier fstab :

# cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0
/dev/mapper/debian6--Damouns-root /               ext3    errors=remount-ro 0       1
# /boot was on /dev/sda1 during installation
UUID=2d5e977a-1f9b-4bb4-8d59-a9772fb5f598 /boot           ext2    defaults        0       2
/dev/mapper/debian6--Damouns-home /home           ext3    defaults        0       2
/dev/mapper/debian6--Damouns-tmp /tmp            ext3    defaults        0       2
/dev/mapper/debian6--Damouns-usr /usr            ext3    defaults        0       2
/dev/mapper/debian6--Damouns-var /var            ext3    defaults        0       2
/dev/mapper/debian6--Damouns-swap_1 none            swap    sw              0       0
/dev/scd0       /media/cdrom0   udf,iso9660 user,noauto     0       0

#Personnalisé
/home/commun /home/damouns/commun auto bind,defaults 0 0


Il semble que mes partitions soient différentes mapper au lieu de sda/hda. Est ce du à l'utilisation de LVM ?

Sinon un fdisk -l donne

# fdisk -l

Disk /dev/sda: 120.0 GB, 120034123776 bytes
255 heads, 63 sectors/track, 14593 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x000a0103

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          32      248832   83  Linux
Partition 1 does not end on cylinder boundary.
/dev/sda2              32       14594   116969473    5  Extended
/dev/sda5              32       14594   116969472   8e  Linux LVM

Disk /dev/dm-0: 348 MB, 348127232 bytes
255 heads, 63 sectors/track, 42 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/dm-0 doesn't contain a valid partition table

Disk /dev/dm-1: 8996 MB, 8996782080 bytes
255 heads, 63 sectors/track, 1093 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/dm-1 doesn't contain a valid partition table

Disk /dev/dm-2: 2998 MB, 2998927360 bytes
255 heads, 63 sectors/track, 364 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/dm-2 doesn't contain a valid partition table

Disk /dev/dm-3: 2067 MB, 2067791872 bytes
255 heads, 63 sectors/track, 251 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/dm-3 doesn't contain a valid partition table

Disk /dev/dm-4: 398 MB, 398458880 bytes
255 heads, 63 sectors/track, 48 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/dm-4 doesn't contain a valid partition table

Disk /dev/dm-5: 105.0 GB, 104962457600 bytes
255 heads, 63 sectors/track, 12760 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

Disk /dev/dm-5 doesn't contain a valid partition table


Pas compris les Disk /dev/dm-*

Bon match, on pourra continuer demain en espérant que d'autres viendrons m'aider.

Hors ligne

#16 28-11-2011 00:02:04

Invité-5
Banni(e)

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

#Personnalisé
/home/commun /home/damouns/commun auto bind,defaults 0 0


Tu es en dual/triple boot ? Je ne vois pas comment ton DD est partitionné au juste. Tu n'es pas si débutant que ça cool je séche. Courage wink

Dernière modification par Invité-5 (28-11-2011 16:07:25)

#17 28-11-2011 18:45:20

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Non je ne suis pas en dual ou triple boot. Cette ligne provient seulement d'une installation du serveur ftp vsftpd en suivant ce tuto : Installer vsftpd. Note que je ne m'en sert pas pour l'instant et que je pourrais le reinstaller plus tard. Pense tu qu'une desinstallation soit une solution ??

Tu n'a aucune idée sur la provenance du /dev/mapper au lieu de /dev/sda ?

Je suis débutant sous debian et linux mais j'ai eu quelques cours en informatique et beaucoup en réseaux roll.

Merci pour ton aide en tout cas, je vais essayer de trouver ma réponse ailleurs et sinon réinstallation de debian:(.
A ce propos que me conseille tu : LiveCD, DVDs, ou netinstall ?

Hors ligne

#18 28-11-2011 19:17:38

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Salut damouns,

netinstall est la solution quasi native de debian, tu auras ainsi immédiatement une installation fraîche et opérationnelle.

Pour lvm voir ce tuto :
http://debian-facile.org/doc:systeme:lvm

Pour renseigner sur ton installation regarde ce tuto :
http://debian-facile.org/atelier:indications-forum

Amitié, Joel smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#19 28-11-2011 21:09:45

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Merci pour tes conseils smolski. Je vais reinstaller debian de cette facon (après m'être mieux documenté) ce sera la solution la plus simple je pense.

Heureux de faire partie de ce forum ou les réponses arrivent vite. A bientôt big_smile

Hors ligne

#20 28-11-2011 21:13:26

Invité-5
Banni(e)

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

A ce propos que me conseille tu : LiveCD, DVDs, ou netinstall ?


Si tu as une superbe connexion ADSL 2+ ou fibre optique 100 mégas  => http://www.free.fr/im/components/intern … 100-v2.jpg tu peux l'utiliser netinstall.
(sans faire de la pub' je suis réellement en 100/50 Mégas ATM bien sûr)

Sans ça, je te conseille debian-6.0.3-amd64-CD-1.iso.torrent + la connexion + la patience.

Une fois que tu maîtrise vraiment Debian tu pourras faire tout et n'importe quoi avec (crypter/chiffrer etc..) et si jamais tu n'aimes pas install par le net il te reste les 8 DVD's ou les DVD Debian inofficiels avec firmwares.
Je te laisse parcourir http://www.debian.org/releases/stable/amd64/   wink

#21 28-11-2011 21:23:35

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

Heureux de faire partie de ce forum ou les réponses arrivent vite.


Alors n'hésite pas pour y intervenir tout ton saoul, car c'est ainsi que les forums vivent !

Amitié, Joel smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#22 28-11-2011 21:27:46

damouns
Membre
Distrib. : Squeeze
Noyau : 2.6.32-5-686
(G)UI : Gnome
Inscription : 26-11-2011

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

D'accord Darien mais AMD-64 je ne crois pas que ca soit possible avec cet ordi que je viens de récupérer donc une petite netinstall i386 ne devrai pas poser de problème avec ma connexion ADSL.

Hors ligne

#23 28-11-2011 21:35:01

Invité-5
Banni(e)

Re : Erreurs lors de l'utilisation de apt-get [Résolu par ré-instal]

J'ai rien vu à ce sujet dans ton infodistri. Accueil du wiki => ATTENTION ! Il n'y a plus aucun empêchement à utiliser le 64bits maintenant quand le matériel le permet, c'est même fortement recommandé.

Pied de page des forums